#include <Foundation/NSString.h>
@interface NSFramework_SystemConfig : NSObject
+ (NSString *)frameworkEnv;
+ (NSString *)frameworkPath;
+ (NSString *)frameworkVersion;
+ (NSString *const*)frameworkClasses;
@end
@implementation NSFramework_SystemConfig
+ (NSString *)frameworkEnv { return nil; }
+ (NSString *)frameworkPath { return @"/usr/lib/GNUstep/Frameworks"; }
+ (NSString *)frameworkVersion { return @"0"; }
static NSString *allClasses[] = {@"SCConfigElement", @"SCKeyboard", @"SCKeyboardModel", @"SCMachineInfo", @"SCMonitor", @"SCMouse", @"SCPower", @"SCSound", @"X11Keyboard", @"X11Mouse", NULL};
+ (NSString *const*)frameworkClasses { return allClasses; }
@end
